
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Add some commentary about UML internals, for a strange trick.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-um/processor-generic.h |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN include/asm-um/processor-generic.h~uml-commentary-about-forking-flag include/asm-um/processor-generic.h
--- 25/include/asm-um/processor-generic.h~uml-commentary-about-forking-flag	2005-04-26 04:25:29.094794240 -0700
+++ 25-akpm/include/asm-um/processor-generic.h	2005-04-26 04:25:29.097793784 -0700
@@ -17,6 +17,10 @@ struct task_struct;
 struct mm_struct;
 
 struct thread_struct {
+	/* This flag is set to 1 before calling do_fork (and analyzed in
+	 * copy_thread) to mark that we are begin called from userspace (fork /
+	 * vfork / clone), and reset to 0 after. It is left to 0 when called
+	 * from kernelspace (i.e. kernel_thread() or fork_idle(), as of 2.6.11). */
 	int forking;
 	int nsyscalls;
 	struct pt_regs regs;
_
